Name: kblticker
Version: 0.2.1
Release: alt2

Group: Networking/News
Summary: Notifier for Bloglines.com rss-agregator
License: GPL
Url: http://sourceforge.net/projects/kblticker

Source: %name-%version.tar.gz
Patch0:	%name-include-alt.patch
Patch1: %name-defbrowser-alt.patch
Patch2: %name-automake-alt.patch

# Automatically added by buildreq on Thu Feb 09 2006
BuildRequires: gcc-c++ imake kdelibs-devel libICE-devel libSM-devel
BuildRequires: libX11-devel libXext-devel libXt-devel libarts-devel
BuildRequires: libjpeg-devel libpng-devel xml-utils xorg-cf-files
BuildRequires: xorg-x11-proto-devel zlib-devel

%description
kblticker is a small KDE program that notifies user
when new articles in bloglines rss-agregator is
avialible.

%prep
%setup -q -n %name-%version
%patch0 -p1
%patch1 -p1
%patch2 -p1

%make -f admin/Makefile.common

%build
%configure \
	--disable-rpath \
	--enable-final
%make_build
	    
%install
%makeinstall

%__mkdir -p %buildroot/%_menudir
freedesktop2menu.pl %name \
	"Networking/News" \
	%name/%name.desktop \
	%buildroot/%_menudir/%name

%find_lang --with-kde %name

%post
%update_menus
%postun
%clean_menus

%files -f %name.lang
%doc AUTHORS ChangeLog README TODO
%_bindir/%name
%_datadir/applnk/Internet/%name.desktop
%_datadir/apps/%name/icons/*/*/*/*.png
%_datadir/icons/*/*/*/%name.png
%_datadir/sounds/*.wav
%_menudir/*

%changelog
* Thu Feb 09 2006 Stanislav Yadykin <tosick@altlinux.ru> 0.2.1-alt2
- added patch for selecting default browser
- added automake patch

* Thu Feb 09 2006 Stanislav Yadykin <tosick@altlinux.ru> 0.2.1-alt1
- build for Sisyphus

